<?php
/******************************************************************************
*                                                                             *
*           Copyright (c) 2004-2007 CS-Cart.com. All rights reserved.         *
*                                                                             *
*******************************************************************************
*                                                                             *
* CS-Cart  is  commercial  software,  only  users  who have purchased a valid *
* license through  http://www.cs-cart.com/  and  accept  to the terms of this *
* License Agreement can install this product.                                 *
*                                                                             *
*******************************************************************************
* THIS  CS-CART  SHOP END-USER LICENSE AGREEMENT IS A LEGAL AGREEMENT BETWEEN *
* YOU  AND  YOUR  COMPANY  (COLLECTIVELY, "YOU") AND CS-CART.COM (HEREINAFTER *
* REFERRED  TO  AS  "THE AUTHOR")  FOR THE SOFTWARE PRODUCT IDENTIFIED ABOVE, *
* WHICH INCLUDES COMPUTER  SOFTWARE AND MAY INCLUDE ASSOCIATED MEDIA, PRINTED *
* MATERIALS,  AND  "ONLINE"  OR  ELECTRONIC  DOCUMENTATION (COLLECTIVELY, THE *
* "SOFTWARE").  BY  USING  THE  SOFTWARE,  YOU  SIGNIFY YOUR AGREEMENT TO ALL *
* TERMS, CONDITIONS, AND NOTICES CONTAINED  OR  REFERENCED HEREIN. IF YOU ARE *
* NOT  WILLING  TO  BE  BOUND  BY  THIS  AGREEMENT, DO NOT INSTALL OR USE THE *
* SOFTWARE.                                                                   *
*                                                                             *
* PLEASE READ THE FULL  TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT" *
* FILE PROVIDED WITH THIS  DISTRIBUTION. THE AGREEMENT TEXT IS ALSO AVAILABLE *
* AT THE FOLLOWING URL: http://www.cs-cart.com/license.html                   *
******************************************************************************/

//
// $Id:config.php 3051 2007-06-20 16:04:29 +0400 (Wed, 20 Jun 2007) imac $
//

if ( !defined('IN_CSCART') ) { die('Access denied'); }

$db_host = '%DB_HOST%';
$db_name = '%DB_NAME%';
$db_user = '%DB_USER%';
$db_password = '%DB_PASSWORD%';

// Example:
// Your url is http://www.yourcompany.com/store/cscart
// cscart_http_host = 'www.yourcompany.com';
// cscart_http_dir = '/store/cscart';
//
// Your secure url is https://secure.yourcompany.com/secure_dir/cscart
// cscart_https_host = 'secure.yourcompany.com';
// cscart_https_dir = '/secure_dir/cscart';

// Host and directory where cs-cart is installed on usual server
$cscart_http_host = '%HTTP_HOST%';
$cscart_http_dir = '%HOST_DIR%';

// Host and directory where cs-cart is installed on secure server
$cscart_https_host = '%HTTPS_HOST%';
$cscart_https_dir = '%HOST_DIR%';

$admin_index = 'admin.php';
$customer_index = 'index.php';
$partner_index = 'partner.php';
$image_index = 'image.php';

$target_name = 'target';
$mode_name = 'mode';
$action_name = 'action';

// DEMO mode
$demo_mode = false;

// Trial mode
$trial_mode = false;

error_reporting(E_ALL ^ E_NOTICE);

//
// Load local config data
//
@include_once(CSCART_DIR . DS . 'local_conf.php');

//
// Directory definitions
//

// Filesystem paths

define('CORE_DIR', CSCART_DIR . DS . 'core' . DS);
define('CLASSES_DIR', CSCART_DIR . DS . 'classes' . DS);
define('ADDONS_DIR', CSCART_DIR . DS . 'addons' . DS);
define('SKINS_DIR',  CSCART_DIR . DS . 'skins' . DS);
define('COMMON_DIR', CSCART_DIR . DS . 'include' . DS . 'common' . DS);
define('ADMIN_DIR', CSCART_DIR . DS . 'include' . DS . 'admin' . DS);
define('TARGETS_DIR', CSCART_DIR . DS . 'targets'.DS);
define('CUSTOMER_DIR', CSCART_DIR .DS. 'include' .DS. 'customer' .DS);
define('PARTNER_DIR', CSCART_DIR .DS. 'include' .DS. 'partner' .DS);
define('PAYMENT_FILES_DIR', CSCART_DIR . DS . 'payments' . DS);
define('SHIPPING_FILES_DIR', CSCART_DIR . DS . 'shippings' . DS);

$var_dir = array(
	'log' => CSCART_DIR . DS .'var' . DS . 'log' . DS,
	'compiled' => CSCART_DIR . DS .'var' . DS . 'compiled' . DS,
	'database' => CSCART_DIR . DS .'var' . DS . 'database' . DS,
	'downloads' => CSCART_DIR . DS .'var' . DS . 'downloads' . DS,
	'upgrade' => CSCART_DIR . DS .'var' . DS . 'upgrade' . DS,
	'exim' => CSCART_DIR . DS .'var' . DS . 'exim' . DS,
);

require CORE_DIR . 'https_detect.php';

// Define host directory depending on the current connection
define('CSCART_HOST_DIR', (defined('HTTPS')) ? $cscart_https_dir : $cscart_http_dir);

// Directory for store images on file system
define('IMAGES_STORAGE_DIR', CSCART_DIR . DS .'images' . DS);
define('IMAGES_STORAGE_WEB_DIR', CSCART_HOST_DIR . '/images/');

// Web paths
define('SKINS_REL_DIR', 'skins/'); // Used for web path

$http_location = "http://$cscart_http_host".$cscart_http_dir;
$https_location = "https://$cscart_https_host".$cscart_https_dir;
$current_location = (defined('HTTPS')) ? $https_location : $http_location;

//
// Database tables aliases...
//
$db_tables = array(
    'categories' => 'cscart_categories',
    'category_descriptions' => 'cscart_category_descriptions',
    'category_images' => 'cscart_category_images',
    'category_images_links' => 'cscart_category_images_links',
	'currencies' => 'cscart_currencies',
	'currency_descriptions' => 'cscart_currency_descriptions',
    'common_images' => 'cscart_common_images',
    'common_images_links' => 'cscart_common_images_links',
    'detailed_images' => 'cscart_detailed_images',
    'products' => 'cscart_products',
    'product_descriptions' => 'cscart_product_descriptions',
    'products_categories' => 'cscart_products_categories',
    'product_prices' => 'cscart_product_prices',
    'products_taxes' => 'cscart_products_taxes',
    'users' => 'cscart_users',
    'user_profiles' => 'cscart_user_profiles',
    'user_data' => 'cscart_user_data',
    'sessions' => 'cscart_sessions',
    'product_images' => 'cscart_product_images',
    'product_images_links' => 'cscart_product_images_links',
    'languages' => 'cscart_languages',
    'language_values' => 'cscart_language_values',
	'memberships' => 'cscart_memberships',
	'membership_descriptions' => 'cscart_membership_descriptions',
	'states' => 'cscart_states',
	'state_descriptions' => 'cscart_state_descriptions',
	'orders' => 'cscart_orders',
	'order_details' => 'cscart_order_details',
	'taxes' => 'cscart_taxes',
	'tax_descriptions' => 'cscart_tax_descriptions',
	'tax_rates' => 'cscart_tax_rates',
	'shippings' => 'cscart_shippings',
	'shipping_descriptions' => 'cscart_shipping_descriptions',
	'shipping_rates' => 'cscart_shipping_rates',
	'discounts' => 'cscart_discounts',
	'discount_coupons_used' => 'cscart_discount_coupons_used',
	'discount_descriptions' => 'cscart_discount_descriptions',
	'discounts_categories' => 'cscart_discounts_categories',
	'discounts_users' => 'cscart_discounts_users',
	'discounts_products' => 'cscart_discounts_products',
	'destination_descriptions' => 'cscart_destination_descriptions',
	'destinations' => 'cscart_destinations',
	'destination_elements' => 'cscart_destination_elements',
	'countries' => 'cscart_countries',
	'country_descriptions' => 'cscart_country_descriptions',
	'payments' => 'cscart_payments',
	'payment_descriptions' => 'cscart_payment_descriptions',
	'payment_processors' => 'cscart_payment_processors',
	'common_descriptions' => 'cscart_common_descriptions',
	'settings' => 'cscart_settings',
	'settings_sections' => 'cscart_settings_sections',
	'settings_subsections' => 'cscart_settings_subsections',
	'settings_routines' => 'cscart_settings_routines',
	'settings_elements' => 'cscart_settings_elements',
	'settings_descriptions' => 'cscart_settings_descriptions',
	'settings_variants' => 'cscart_settings_variants',
    'topics' => 'cscart_topics',
    'topic_descriptions' => 'cscart_topic_descriptions',
    'pages' => 'cscart_pages',
    'page_descriptions' => 'cscart_page_descriptions',
    'pages_topics' => 'cscart_pages_topics',
	'ekeys' => 'cscart_ekeys',
	'sitemap_links' => 'cscart_sitemap_links',
	'sitemap_sections' => 'cscart_sitemap_sections',
	'static_data' => 'cscart_static_data',
	'static_data_descriptions' => 'cscart_static_data_descriptions',
	'statistics_elements' => 'cscart_statistics_elements',
	'statistics_intervals' => 'cscart_statistics_intervals',
	'statistics_reports' => 'cscart_statistics_reports',
	'statistics_report_descriptions' => 'cscart_statistics_report_descriptions',
	'statistics_tables' => 'cscart_statistics_tables',
	'statistics_table_descriptions' => 'cscart_statistics_table_descriptions',
	'statistics_table_conditions' => 'cscart_statistics_table_conditions',
	'statistics_table_elements' => 'cscart_statistics_table_elements',
	'statistics_table_element_conditions' => 'cscart_statistics_table_element_conditions',
	'product_options' => 'cscart_product_options',
	'product_options_descriptions' => 'cscart_product_options_descriptions',
	'product_options_exceptions' => 'cscart_product_options_exceptions',
	'product_option_variants' => 'cscart_product_option_variants',
	'product_option_variants_descriptions' => 'cscart_product_option_variants_descriptions',
	'product_options_inventory' => 'cscart_product_options_inventory',
	'product_global_option_links' => 'cscart_product_global_option_links',
	'new_orders' => 'cscart_new_orders',
	'product_features' => 'cscart_product_features',
	'product_features_values' => 'cscart_product_features_values',
	'product_features_variants_descriptions' => 'cscart_product_features_variants_descriptions',
	'product_features_descriptions' => 'cscart_product_features_descriptions',
	'forms' => 'cscart_forms',
	'form_elements' => 'cscart_form_elements',
	'form_element_variants' => 'cscart_form_element_variants',
	'form_descriptions' => 'cscart_form_descriptions',
	'shipping_services' => 'cscart_shipping_services',
	'shipping_service_descriptions' => 'cscart_shipping_service_descriptions',
	'membership_privileges' => 'cscart_membership_privileges',
	'privileges' => 'cscart_privileges',
	'privilege_descriptions' => 'cscart_privilege_descriptions',
	'shippings_taxes' => 'cscart_shippings_taxes',
	'order_data' => 'cscart_order_data',
	'statuses' => 'cscart_statuses',
	'status_descriptions' => 'cscart_status_descriptions',
	'status_data' => 'cscart_status_data',
	'profile_fields' => 'cscart_profile_fields',
	'profile_field_values' => 'cscart_profile_field_values',
	'profile_field_descriptions' => 'cscart_profile_field_descriptions',
	'profile_fields_data' => 'cscart_profile_fields_data',
	'user_session_products' => 'cscart_user_session_products',
	'product_option_images_links' => 'cscart_product_option_images_links',
	'exim_layouts' => 'cscart_exim_layouts'
);

//
// Default targets
//
$script_targets = array (
    'home' => TARGETS_DIR . 'home.php',
    'categories' => TARGETS_DIR . 'categories.php',
    'products' => TARGETS_DIR . 'products.php',
    'cart' => TARGETS_DIR . 'cart.php',
    'help' => TARGETS_DIR . 'help.php',
    'index' => TARGETS_DIR . 'index.php',
    'auth' => TARGETS_DIR . 'auth.php',
    'profiles' => TARGETS_DIR . 'profiles.php',
    'languages' => TARGETS_DIR . 'languages.php',
	'settings' => TARGETS_DIR . 'settings.php',
	'settings_dev' => TARGETS_DIR . 'settings_dev.php',
	'states' => TARGETS_DIR . 'states.php',
	'shippings' => TARGETS_DIR . 'shippings.php',
	'discounts' => TARGETS_DIR . 'discounts.php',
	'checkout' => TARGETS_DIR . 'checkout.php',
	'orders' => TARGETS_DIR . 'orders.php',
	'taxes' => TARGETS_DIR . 'taxes.php',
	'memberships' => TARGETS_DIR . 'memberships.php',
	'destinations' => TARGETS_DIR . 'destinations.php',
	'countries' => TARGETS_DIR . 'countries.php',
	'payments' => TARGETS_DIR . 'payments.php',
	'tools' => TARGETS_DIR . 'tools.php',
	'html_catalog' => TARGETS_DIR . 'html_catalog.php',
	'topics' => TARGETS_DIR . 'topics.php',
	'pages' => TARGETS_DIR . 'pages.php',
	'sitemap' => TARGETS_DIR . 'sitemap.php',
	'exceptions' => TARGETS_DIR . 'exceptions.php',
	'search' => TARGETS_DIR . 'search.php',
	'statistics' => TARGETS_DIR . 'statistics.php',
	'static_data' => TARGETS_DIR . 'static_data.php',
	'product_options' => TARGETS_DIR . 'product_options.php',
	'file_browser' => TARGETS_DIR . 'file_browser.php',
	'client_env' => TARGETS_DIR . 'client_env.php',
	'payment_notification' => TARGETS_DIR . 'payment_notification.php',
	'template_editor' => TARGETS_DIR . 'template_editor.php',
	'product_features' => TARGETS_DIR . 'product_features.php',
	'site_layout' => TARGETS_DIR . 'site_layout.php',
	'upgrade_center' => TARGETS_DIR . 'upgrade_center.php',
	'skin_selector' => TARGETS_DIR . 'skin_selector.php',
	'forms' => TARGETS_DIR . 'forms.php',
	'my_account' => TARGETS_DIR . 'my_account.php',
	'currencies' => TARGETS_DIR . 'currencies.php',
	'order_management' => TARGETS_DIR . 'order_management.php',
	'logs' => TARGETS_DIR . 'logs.php',
	'statuses' => TARGETS_DIR . 'statuses.php',
	'profile_fields' => TARGETS_DIR . 'profile_fields.php',
	'license' => TARGETS_DIR . 'license.php',
	'database' => TARGETS_DIR . 'database.php',
	'image_verification' => TARGETS_DIR . 'image_verification.php',
	'xml_feeds' => TARGETS_DIR . 'xml_feeds.php',
	'exim' => TARGETS_DIR . 'exim.php',
	'graph' => TARGETS_DIR . 'graph.php',
);

//
// Days of week
//
define('SUNDAY',    0);
define('MONDAY',    1);
define('TUESDAY',   2);
define('WEDNESDAY', 3);
define('THURSDAY',  4);
define('FRIDAY',    5);
define('SATURDAY',  6);

define('STATUSES_ORDER', 'O');

define('NOT_A_MEMBER', 0);
define('ALL_MEMBERSHIPS', -1);

//
// Check if logging is enabled
//

if (file_exists($var_dir['log'].'settings.php')) {
	include $var_dir['log'].'settings.php';
}

if (defined('LOG_PHP_EVENTS')) {
	ini_set("log_errors", 1);
	if (!file_exists($var_dir['log'].'php_events_'.date("Y-m-d").'.log.php')) {
		$fd = @fopen($var_dir['log'].'php_events_'.date("Y-m-d").'.log.php', 'w');
		@fwrite($fd, "<?php die(); ?>\n");
		@fclose($fd);
	}
	ini_set("error_log", $var_dir['log'].'php_events_'.date("Y-m-d").'.log.php');
	ini_set("ignore_repeated_errors", 1);
}

// BlowFish key
$crypt_key = 'YOURVERYSECRETKEY';

// Database layer
$db_type = 'mysql';

// Set the session name
// C - for customer area
// A - for admin area
// The different session names for areas allows you to
// log in as customer and admin in one browser instance
$CSCART_SESSION_NAMES = array('C' => 'csid', 'A' => 'acsid', 'P' => 'psid');

// List of file extensions which the uploaded or renamed via admin area
// file can not has.
$forbidden_file_extensions = array (
	'php',
	'php3',
	'pl',
	'com',
	'exe',
	'bat',
	'cgi',
	'htaccess'
);

// Locations that can be viewed via secure connection (customer area)
$secure_targets = array (
	'checkout',
	'payment_notification',
	'auth',
	'profiles',
	'orders',
	'forms'
);

// Uncomment this line if you experience problems with mysql5 server
//define('MYSQL5', true);

// Delimiter for SEF urls
define('CS_SEO_DELIMITER', '-');

// Live Time for permanent cookies (currency, language, etc...)
define('COOKIE_ALIVE_TIME', 60*60*24*7); // one week

//define('LICENSE_USED', true);

// Used in installation script
define('INSTALL_DB_EXECUTION', 3600);

// Set memory amount
@ini_set('memory_limit', '20M');

// Authentication code to access the installer
$AUTH_CODE = '';
define('CSCART_VERSION', 'T1.3.5-SP4');
?>
